import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class MyServlet extends HttpServlet {
   
  private ServletContext context;

  public void init(ServletConfig config) throws ServletException  {
	  super.init(config);
	  context = getServletContext();
	  context.log("Init has been invoked");
  }

  public void doGet (HttpServletRequest req, HttpServletResponse res) throws IOException
  {
    ServletOutputStream out = res.getOutputStream();
    context.log("doGet has now been invoked");
    res.setContentType("text/html");
    out.println("<html><head><title>Logging Servlet</title></head>");
    out.println("<body>Visit the <tomcat-home>\\logs and open the xx file to see the log entries");
    out.println("</body></html>");
  }
}